﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
	RSS 0.91 feed
	=============
	
	Generate a RSS (Rich Site Summary) version 0.91 (one of the seven) feed.
	
	Info :
	
	- http://my.netscape.com/publish/formats/rss-spec-0.91.html (spec)
	- http://diveintomark.org/archives/2004/02/04/incompatible-rss (the seven version)
	
	meta-data
	=========
	
	- author Yoan BLANC
	- licence GPL
	- version 0.1 040625
-->
<xsl:import href="templates/date.xsl" />

<xsl:output method="xml" encoding="utf-8" indent="yes" omit-xml-declaration="no" doctype-system="http://my.netscape.com/publish/formats/rss-0.91.dtd" />

<!-- user's login -->
<xsl:param name="login" />
<!-- quantity -->
<xsl:param name="quantity" select="10" />

<!--
	Build the feed (<channel>)
-->
<xsl:template match="/">
<rss version="0.91">
	<channel>
		<title>
			<xsl:value-of select="//user[@login = $login]/name" />
		</title>
		<link>
			<xsl:value-of select="//user[@login = $login]/url" />
		</link>
		<description>
			<xsl:value-of select="//user[@login = $login]/name" />'s blog
		</description>
		<language>
			<xsl:value-of select="//user[@login = $login]/@xml:lang" />
		</language>
		<xsl:apply-templates select="document(concat('../data/',$login,'/feed.xml'))/*" />
	</channel>
</rss>
</xsl:template>

<xsl:template match="feed">
	<xsl:for-each select="entry[position() &lt; $quantity]">
		<xsl:call-template name="rss-entry">
			<xsl:with-param name="login" select="$login" />
			<xsl:with-param name="id" select="@id" />
			<xsl:with-param name="entry" select="document(concat('../data/',$login,'/',@id))/*"/>
		</xsl:call-template>
	</xsl:for-each>
</xsl:template>

<!--
	Build the entry element (<item>)
-->
<xsl:template name="rss-entry">
	
	<xsl:param name="login" />
	<xsl:param name="id" />
	<xsl:param name="entry" />
	
	<item>
		<title><xsl:value-of select="$entry/title" /></title>
		<link>
			<xsl:value-of select="document('../data/users.xml')/users/user[@login = $login]/url"/>
			<xsl:value-of select="substring-before($id,'_')"/>
			<xsl:text>/</xsl:text>
			<xsl:value-of select="substring-before(substring-after($id,'_'),'.')"/>
			<xsl:text>.xml</xsl:text>
		</link>
		<description>
			<xsl:value-of select="$entry/summary" />
		</description>
	</item>
</xsl:template>

</xsl:stylesheet>