<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet
  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
	USER lib
	=======
	
	Tools for managing users

	meta-data
	=========
	
	- author Yoan BLANC
	- licence GPL
	- version 0.1 040625
-->

<!--
	Return a PHP array of user's informations
-->
<xsl:template match="user" mode="php">array(
		"password"=>"<xsl:value-of select="@password" />",
		"url"=>"<xsl:value-of select="url" />",
		"name"=>"<xsl:value-of select="name" />",
		"email"=>"<xsl:value-of select="email" />",
		"lang"=>"<xsl:value-of select="@xml:lang" />"
	)</xsl:template>


<!--
	Generate an <use>
-->
<xsl:template name="createUser">
	<!-- login -->
	<xsl:param name="login" />
	<!-- user's encrypted password -->
	<xsl:param name="password" />
	<!-- user's url -->
	<xsl:param name="url" />
	<!-- user's email -->
	<xsl:param name="email" />
	<!-- user's real name -->
	<xsl:param name="name" />
	<!-- user's prefered language -->
	<xsl:param name="lang" />
	
	<xsl:if test="$login and $password">
		<user>
			<xsl:attribute name="login"><xsl:value-of select="$login" /></xsl:attribute>
			<xsl:attribute name="password"><xsl:value-of select="$password" /></xsl:attribute>
			<xsl:attribute name="xml:lang"><xsl:value-of select="$lang" /></xsl:attribute>
			
			<xsl:if test="$name">
				<name><xsl:value-of select="$name" /></name>
			</xsl:if>
			
			<xsl:if test="$email">
				<mail><xsl:value-of select="$email" /></mail>
			</xsl:if>
			
			<xsl:if test="$url">
				<url><xsl:value-of select="$url" /></url>
			</xsl:if>
		</user>
	</xsl:if>
</xsl:template>

</xsl:stylesheet>