<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
	Add an entry
	============
	
	Add an entry to user's feed
	
	meta-data
	=========
	
	- author Yoan BLANC
	- licence GPL
	- version 0.1 040625
-->

<xsl:import href="templates/user.xsl" />

<xsl:output method="xml" encoding="utf-8" indent="yes" omit-xml-declaration="no"/>

<!-- entry's id -->
<xsl:param name="id" />
<!-- position in the feed -->
<xsl:param name="position" select="0" />

<xsl:template match="/">
<feed>
	<!-- entry(s) befor -->

	<xsl:apply-templates select="//entry[position() &lt;= $position]" />
	<!-- entry added -->
	<xsl:call-template name="createEntry">
		<xsl:with-param name="id" select="$id" />
	</xsl:call-template>
	<!-- entry(s) after -->
	<xsl:apply-templates select="//entry[position() &gt; $position]" />
</feed>
</xsl:template>

<!-- copy -->
<xsl:template match="entry">
	<xsl:copy-of select="." />
</xsl:template>

<!--
	Create an entry
-->
<xsl:template name="createEntry">
	<!-- entry's id -->
	<xsl:param name="id" />
	
	<entry>
		<xsl:attribute name="id"><xsl:value-of select="$id" /></xsl:attribute>

	</entry>
</xsl:template>

</xsl:stylesheet>