<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
	Add user
	========
	
	Adding a new user to users' list
	
	meta-data
	=========
	
	- author Yoan BLANC
	- licence GPL
	- version 0.1 040625
-->

<xsl:import href="templates/user.xsl" />

<xsl:output method="xml" encoding="utf-8" indent="yes" omit-xml-declaration="no"/>

<xsl:param name="login" />
<xsl:param name="password" />
<xsl:param name="lang" />
<xsl:param name="url" />
<xsl:param name="email" />
<xsl:param name="name" />
<!-- by default the user is added at the top of the list -->
<xsl:param name="position" select="0" />

<xsl:template match="/">
	<xsl:element name="users">
		<!-- user(s) before -->
		<xsl:apply-templates select="//user[position() &lt;= $position]" />
		<!-- user added -->
		<xsl:call-template name="createUser">
			<xsl:with-param name="login" select="$login" />
			<xsl:with-param name="password" select="$password" />
			<xsl:with-param name="name" select="$name" />
			<xsl:with-param name="email" select="$email" />
			<xsl:with-param name="url" select="$url" />
			<xsl:with-param name="lang" select="$lang" />
		</xsl:call-template>
		<!-- user(s) after -->
		<xsl:apply-templates select="//user[position() &gt; $position]" />
	</xsl:element>
</xsl:template>

<!-- copy -->
<xsl:template match="user" >
	<xsl:copy-of select="." />
</xsl:template>

</xsl:stylesheet>