<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet
  version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" encoding="utf-8" indent="yes" omit-xml-declaration="no"/>

<!--
User params :
 @ login
 (@ password)
 (+ name)
 (+ email)
 (+ url)
-->
<xsl:param name="login" />
<xsl:param name="password" />
<xsl:param name="url" />
<xsl:param name="email" />
<xsl:param name="name" />
<xsl:param name="lang" />

<xsl:template match="/">
<users>
	<xsl:apply-templates select="//user" />
</users>
</xsl:template>

<xsl:template match="user" >
	<xsl:choose>
		<xsl:when test="@login != $login" >
			<xsl:copy-of select="." />
		</xsl:when>
		<xsl:otherwise>
			<user>
				<xsl:attribute name="login">
					<xsl:value-of select="$login" />
				</xsl:attribute>
				<xsl:attribute name="xml:lang">
					<xsl:value-of select="$lang" />
				</xsl:attribute>
				<!-- password -->
				<xsl:choose>
					<xsl:when test="$password != @password">
						<xsl:attribute name="password">
							<xsl:value-of select="$password" />
						</xsl:attribute>
					</xsl:when>
					<xsl:otherwise>
						<xsl:attribute name="password">
							<xsl:value-of select="@password" />
						</xsl:attribute>
					</xsl:otherwise>
				</xsl:choose>
				<!-- name -->
				<xsl:choose>
					<xsl:when test="not($name = @name)">
						<name><xsl:value-of select="$name" /></name>
					</xsl:when>
					<xsl:otherwise>
						<name><xsl:value-of select="@name" /></name>
					</xsl:otherwise>
				</xsl:choose>
				<!-- mail -->
				<xsl:choose>
					<xsl:when test="not($email = @email)">
						<mail><xsl:value-of select="$email" /></mail>
					</xsl:when>
					<xsl:otherwise>
						<mail><xsl:value-of select="@email" /></mail>
					</xsl:otherwise>
				</xsl:choose>
				<!-- url -->
				<xsl:choose>
					<xsl:when test="not($url = @url)">
						<url><xsl:value-of select="$url" /></url>
					</xsl:when>
					<xsl:otherwise>
						<url><xsl:value-of select="@url" /></url>
					</xsl:otherwise>
				</xsl:choose>
			</user>
		</xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>